I think your libraries are messed up. GIMP found them in /usr/lib and ld
complain of undefined reference in /usr/local/lib. Usually compile GIMP
without manually installed any libraries will work if you fully
installed FC3, although I don't use it. So `make uninstall` in these
libraries located in /usr/local much like will work. 

On Thu, 2004-12-16 at 07:35 -0600, Steven P. Ulrick wrote:
> Hello, Everyone
> When I attempt to compile and install GIMP from CVS, I get the following 
> error:
> gcc -g -O2 -Wall -o .libs/svg svg.o -Wl,--export-dynamic 
> -Wl,--export-dynamic  ../../libgimp/.libs/libgimpui-2.0.so 
> /home/steve/CVS/Assorted-CVS-Modules/gimp/libgimp/.libs/libgimp-2.0.so 
> /home/steve/CVS/Assorted-CVS-Modules/gimp/libgimpwidgets/.libs/libgimpwidgets-2.0.so
>  
> /home/steve/CVS/Assorted-CVS-Modules/gimp/libgimpmodule/.libs/libgimpmodule-2.0.so
>  ../../libgimpwidgets/.libs/libgimpwidgets-2.0.so 
> ../../libgimp/.libs/libgimp-2.0.so 
> /home/steve/CVS/Assorted-CVS-Modules/gimp/libgimpcolor/.libs/libgimpcolor-2.0.so
>  
> /home/steve/CVS/Assorted-CVS-Modules/gimp/libgimpbase/.libs/libgimpbase-2.0.so
>  ../../libgimpcolor/.libs/libgimpcolor-2.0.so 
> ../../libgimpbase/.libs/libgimpbase-2.0.so 
> -lrsvg-2 /usr/lib/libgtk-x11-2.0.so /usr/lib/libgdk-x11-2.0.so 
> /usr/lib/libatk-1.0.so /usr/lib/libgdk_pixbuf-2.0.so 
> -lm /usr/lib/libpangoxft-1.0.so /usr/lib/libpangox-1.0.so 
> /usr/lib/libpango-1.0.so /usr/lib/libgobject-2.0.so 
> /usr/lib/libgmodule-2.0.so 
> -ldl /usr/lib/libglib-2.0.so
> /usr/local/lib/libgthread-2.0.so.0: undefined reference to 
> `g_return_if_fail_warning'
> collect2: ld returned 1 exit status
> make[3]: *** [svg] Error 1
> make[3]: Leaving directory 
> `/home/steve/CVS/Assorted-CVS-Modules/gimp/plug-ins/common'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory 
> `/home/steve/CVS/Assorted-CVS-Modules/gimp/plug-ins'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/home/steve/CVS/Assorted-CVS-Modules/gimp'
> make: *** [all] Error 2
> [EMAIL PROTECTED] gimp]$ 
> 
> I did a fresh download of GIMP from CVS before I brought this to your 
> attention.
> 
> First of all, I got the exact versions of atk, glib, gtk+ and pango that are 
> listed at the following location:
> http://gimp.org/source/#requirements
> They are as follows:
> atk 1.61 glib 2.45 gtk+ 2.4.4 pango 1.4.0
> All of that installed perfectly.
> 
> Also, our gcc is gcc-3.4.2-6.fc3
> 
> Our operating system is Fedora Core 3, Full installation (not just upgraded), 
> Every package installed.
> All official updates are installed.
> 
> I searched Google for this error and the only hits I got were in a language 
> that I don't speak.  The content under "The topic is GIMP" heading at: 
> http://gimp.org/mail_lists.html led me to believe by it's reference to bugs 
> being appropriate subject matter for the gimp-devel list, that a report about 
> a failure to compile would be appropriate as well.  If this is incorrect, 
> please let me know, and I will be glad to take this where it should be 
> reported.
> 
> Have a Great Day,
> Steven P. Ulrick
> _______________________________________________
> Gimp-developer mailing list
> [EMAIL PROTECTED]
> http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-developer

-- 
Cai Qian

_______________________________________________
Gimp-developer mailing list
[EMAIL PROTECTED]
http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-developer

Reply via email to